%define		_class		Console
%define		_subclass	Getargs
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	1.4.0
Release:	%mkrel 4
Summary:	A command-line arguments parser
License:	PHP License
Group:		Development/PHP
URL:		https://pear.php.net/package/Console_Getargs/
Source0:	https://pear.php.net/get/Console_Getargs-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
The Console_Getargs package implements a Command Line arguments parser
that your CLI applications can use to parse arguments found in
\$_SERVER['argv']. It performs some basic arguments validation and is
capable to return a formatted help text to the user, based on the
configuration it is given.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test
rm -rf %{buildroot}%{_datadir}/pear/data/Console_Getargs/README

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/examples
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.4.0-4.mga9
+ Revision: 1819081
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.4.0-3.mga8
+ Revision: 1507254
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.4.0-2.mga7
+ Revision: 1287668
- Mageia 7 Mass Rebuild

* Wed Feb 28 2018 mokraemer <mokraemer> 1.4.0-1.mga7
+ Revision: 1205780
- new version 1.4.0

* Wed Feb 17 2016 luigiwalser <luigiwalser> 1.3.5-7.mga6
+ Revision: 964534
- fix file list the correct way

* Wed Feb 17 2016 umeabot <umeabot> 1.3.5-6.mga6
+ Revision: 964436
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.5-5.mga5
+ Revision: 748335
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.5-4.mga5
+ Revision: 687187
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.5-3.mga4
+ Revision: 516578
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3.5-2.mga3
+ Revision: 375916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 30 2011 spuhler <spuhler> 1.3.5-1.mga1
+ Revision: 44604
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Console_Getargs


* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.5-1mdv2011.0
+ Revision: 587638
- update to new version 1.3.5

* Sun Dec 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.4-5mdv2010.1
+ Revision: 478292
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.3.4-4mdv2010.0
+ Revision: 440948
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-3mdv2009.1
+ Revision: 321913
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-2mdv2009.0
+ Revision: 236809
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 1.3.4-1mdv2008.0
+ Revision: 15642
- 1.3.4


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-1mdv2007.0
+ Revision: 81409
- Import php-pear-Console_Getargs

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.1-1mdk
- 1.3.1

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-5mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-4mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-3mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-2mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.0-1mdk
- 1.3.0

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-1mdk
- initial Mandriva package (PLD import)

